/*
** 		Sambar Server JAVA Request Dispatcher Implementation
**
**		Confidential Property of Tod Sambar
**		(c) Copyright Tod Sambar 2000
**		All rights reserved.
*/
package com.sambar.javaeng;

import java.io.*;
import java.net.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.sambar.javaeng.SambarAPI;
import com.sambar.javaeng.SambarUtils;

class SambarRequestDispatcher implements RequestDispatcher
{
    SambarContext 	scontext;

    // path dispatchers
    String 			path;
    String 			queryString;

    // name dispatchers
    String 			name;

    SambarRequestDispatcher(SambarContext scontext) 
	{
        this.scontext = scontext;
    }

    void setPath(String urlPath) 
	{
		// separate the query string
		int i = urlPath.indexOf("?");
		if (i < 0)
		{
			this.path = urlPath;
		}
		else 
		{
			this.path = urlPath.substring(0, i);

			if (i < urlPath.length())
				this.queryString = urlPath.substring(i + 1);
        }
    }

    void setName (String name) 
	{
		this.name = name;
    }
    
    public void forward(ServletRequest request, ServletResponse response)
		throws ServletException, IOException
    {
		throw new ServletException("SambarRequestDispatcher: forward() not implemented!");
    }

    public void include(ServletRequest request, ServletResponse response)
		throws ServletException, IOException
    {
		throw new ServletException("SambarRequestDispatcher: include() not implemented!");
    }

}
